//------------------------------------------------------------------------------------------------
//
// File: graph.h
// Author: ECE 275 Spring 2016
// Date: April 14, 2016
//
// Description:
//
//------------------------------------------------------------------------------------------------

#ifndef GRAPH_H
#define GRAPH_H

#include <vector>
#include "node.h"

using namespace std;

class Graph {
private:
   // Using a vector (or other ADT) of Node* ensure the Graph maintains a single
   // copy of each Node. The Edge class also contains a pointer to a Node, which points to
   // to the nodes in the graph. This way all pointers to the Node are the same node
   // and not a copy of the nodes. So, we can stored temporary values within the nodes when
   // we implement various graph algorithms
   vector<Node*> intersections;
   
public:
   Graph();
   // Other public methods go here.
};

#endif

//------------------------------------------------------------------------------------------------


