//------------------------------------------------------------------------------------------------
//
// File: node.h
// Author: ECE 275 Spring 2016
// Date: April 14, 2016
//
// Description:
//
//------------------------------------------------------------------------------------------------

#ifndef NODE_H
#define NODE_H

#include <vector>
#include <string>
#include "edge.h"

using namespace std;

class Node {
private:
   string intersectionName;  // Label for node
   vector<Edge*> streets;    // Adjacency list (only stores the edges that lead to
                             // adjacent nodes.
   
public:
   Node(Edge* street, string intersectionName);
   // Other public methods go here.
};

#endif

//------------------------------------------------------------------------------------------------


